Back to LinkedIn
Apify·LinkedIn

LinkedIn Company Posts Scraper (No Cookies)

/harvestapi/linkedin-company-postsasync$0.005 / result

Extract posts from LinkedIn companies including content, media, engagement, reactions, comments and more. No cookies or account required. Concurrency + fast response times make mass scraping fast ⚡ Runs as an Apify actor (20–120 s); results are dataset rows.

Charged per returned row plus the flat fee.

Input
  • targetUrlsarray

    List of LinkedIn profile or company URLs to scrape. Example: `https://www.linkedin.com/in/satyanadella/` will fetch posted or re-posted content by Bill Gates.

  • maxPostsinteger

    Maximum number of posts to scrape per each profile or company. Default is 10. This overrides pagination. If you set this to 0, it will scrape all posts.

  • postedLimitstring

    Fetch posts no older than X time. Options: '24h', 'week', 'month'.

    any, 1h, 24h, week, month, 3months, 6months, year

  • postedLimitDatestring

    Scrape posts from now up to and including this date. It supports the [Date time string format](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date#date_time_string_format). For example, "2011-10-10", or "2011-10-10T14:48:00.000+09:00" or a timestamp: "628021800000"

  • includeQuotePostsboolean

    Include quote posts (shared posts with comments). By default, all posts are scraped. (default true)

  • includeRepostsboolean

    Include reposts (shared posts without comments). By default, all posts are scraped. (default true)

  • scrapeReactionsboolean

    Scrape reactions of posts. (default false)

  • maxReactionsinteger

    Maximum number of reactions to scrape per post. Default is 5.

  • postNestedReactionsboolean

    Whether to add reactions items inside post items. In a case of hundreds of reactions, the Actor might hit the max item size limit and won't be able to save a post.

  • scrapeCommentsboolean

    Scrape comments of posts. (default false)

  • maxCommentsinteger

    Maximum number of comments to scrape per post. Default is 5.

  • commentsPostedLimitstring

    Fetch comments no older than X time. Options: '24h', 'week', 'month'.

    any, 1h, 24h, week, month

  • postNestedCommentsboolean

    Whether to add comments items inside post items. In a case of hundreds of comments, the Actor might hit the max item size limit and won't be able to save a post.

  • contextCountrystring

    Set the context country for LinkedIn. This can affect the content you see on LinkedIn, as it may vary by region.

    any, US, GB, DE, FR

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"apify","endpoint":"/harvestapi/linkedin-company-posts","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.